Bug 1540246 - [3.7] openshift_management_flavor and openshift_management_flavor_short are hard coded
Summary: [3.7] openshift_management_flavor and openshift_management_flavor_short are h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-30 15:26 UTC by Russell Teague
Modified: 2018-04-05 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: openshift_management_flavor* was set in vars/main.yml Consequence: The var was not dependent on the user inventory var for overriding the deployment type Fix: Logic openshift_management_flavor* was updated to be based on openshift_management_app_template from inventory Result: Successful deployment of requested management template
Clone Of: 1538960
Environment:
Last Closed: 2018-04-05 09:37:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:37:57 UTC

Comment 1 Russell Teague 2018-01-30 15:32:26 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/6942

Comment 2 Russell Teague 2018-02-06 13:54:44 UTC
openshift-ansible-3.7.28-1

Comment 3 Gaoyun Pei 2018-02-07 06:24:29 UTC
Verify this bug with openshift-ansible-3.7.28-1.git.0.12b5132.el7.noarch

Deploy cfme46-beta on 3.7 successfully. Detailed options could be found below:

1) cfme46-beta with dynamic pv

openshift_management_install_beta=true
openshift_management_app_template=cfme-template
openshift_management_storage_class=cloudprovider


2) cfme46-beta with nfs storage and external psql db

openshift_management_install_beta=true
openshift_management_storage_class=nfs
openshift_management_app_template=cfme-template-ext-db
openshift_management_template_parameters={'DATABASE_USER': 'x', 'DATABASE_PASSWORD': 'x', 'DATABASE_IP': 'x', 'DATABASE_PORT': '5432', 'DATABASE_NAME': 'cfme'}

Comment 7 errata-xmlrpc 2018-04-05 09:37:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.